> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.trypila.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Single Transaction

> This endpoint is used to fetch a single transaction using Id

```text [GET] theme={null}
{{baseUrl}}/api/v1/card/virtual/transaction
```

### Header

| Header | Type | Description |
| - | - | - |
| AppId | string | you would need to create an app to get your app ID |
| Authorization | string | Your private (secret) key |

### Query parameter

| Parameter | Type | Description |
| - | - | - |
| transaction\_id *optional* | string | Transaction ID |

### Sample response

```json Response theme={null}
{
    "entity": {
        "transactions": [
           {
            "amountLimit": 40,
            "cardId": "5a049649-9dce-49d7-90d2-08dd08e9829e",
            "cardBrand": null,
            "cardClass": null,
            "limitWindow": "LIFETIME",
            "expirationDate": "2027-11-20T00:00:00",
            "expiration": "1127",
            "terminateDate": null,
            "currencyCode": "USD",
            "firstSix": "556371",
            "lastFour": "4910",
            "status": "Card - Active",
            "reason": "PAYPAL *ZSBAINERNTE",
            "midWhitelist": [],
            "midBlacklist": [
                "244815000156182",
                "720000866043001",
                "8029612713",
                "653990701861820"
            ],
            "gatewayMerchantGuid": "9ec18b1a-fc6a-4e72-a62a-a91bcfcdcdef",
            "availableBalance": 40,
            "isPhysical": false
        }
        ],
        "currentPage": 1,
        "pageSize": 10,
        "totalCount": 0,
        "totalPages": 0
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.